Skip to main content
`Ctrl`+`K`

# SNESGetJacobian

Returns the Jacobian matrix and optionally the user provided context for evaluating the Jacobian.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetJacobian(SNES snes, Mat *Amat, Mat *Pmat, SNESJacobianFn **J, void **ctx)

Not Collective, but `Mat` object will be parallel if `SNES` is

## Input Parameter

- snes - the nonlinear solver context

## Output Parameters

- Amat - location to stash (approximate) Jacobian matrix (or `NULL`)

- Pmat - location to stash matrix used to compute the preconditioner (or `NULL`)

- J - location to put Jacobian function (or `NULL`), for calling sequence see `SNESJacobianFn`

- ctx - location to stash Jacobian ctx (or `NULL`)

## See Also

SNES: Nonlinear Solvers, `SNES`, `Mat`, `SNESSetJacobian()`, `SNESComputeJacobian()`, `SNESJacobianFn`, `SNESGetFunction()`

## Level

advanced

## Location

src/snes/interface/snes.c

## Examples

src/snes/tutorials/ex69.c
src/snes/tutorials/ex62.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages